Name:           libguac-client-ssh
Version:        0.8.0
Release:        3%{?dist}
Summary:        SSH support for guacd
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://guac-dev.org/
Source0:        http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz

BuildRequires:  libguac-devel >= 0.7.0
BuildRequires:  libssh-devel
BuildRequires:  pango-devel

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is a protocol support plugin for the Guacamole proxy (guacd)
which provides support for SSH, the secure shell.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS LICENSE README
# The libguac source code dlopen's these plugins, and they are named without
# the version in the shared object; i.e. "libguac-client-$(PROTOCOL).so".
%{_libdir}/%{name}.so
%{_libdir}/%{name}.so.*

%changelog
* Wed Jun 19 2013 Simone Caronni <negativo17@gmail.com> - 0.8.0-3
- Revert back license, licensecheck checks only license headers.

* Wed Jun 12 2013 Simone Caronni <negativo17@gmail.com> - 0.8.0-2
- Fix description line being too long.
- Fix license.

* Fri Jun 07 2013 Simone Caronni <negativo17@gmail.com> - 0.8.0-1
- First build.
